# ***** BEGIN LICENSE BLOCK *****
# Version: RCSL 1.0/RPSL 1.0/GPL 2.0
#
# Portions Copyright (c) 1995-2002 RealNetworks, Inc. All Rights Reserved.
# Portions Copyright (c) 2004 Robert Vollmert. All Rights Reserved.
#
# The contents of this file, and the files included with this file, are
# subject to the current version of the RealNetworks Public Source License
# Version 1.0 (the "RPSL") available at
# http://www.helixcommunity.org/content/rpsl unless you have licensed
# the file under the RealNetworks Community Source License Version 1.0
# (the "RCSL") available at http://www.helixcommunity.org/content/rcsl,
# in which case the RCSL will apply. You may also obtain the license terms
# directly from RealNetworks.  You may not use this file except in
# compliance with the RPSL or, if you have a valid RCSL with RealNetworks
# applicable to this file, the RCSL.  Please see the applicable RPSL or
# RCSL for the rights, obligations and limitations governing use of the
# contents of the file.
#
# This file is part of the Helix DNA Technology. RealNetworks is the
# developer of the Original Code and owns the copyrights in the portions
# it created.
#
# This file, and the files included with this file, is distributed and made
# available on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND REALNETWORKS HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
#
# Technology Compatibility Kit Test Suite(s) Location:
#    http://www.helixcommunity.org/content/tck
#
# --------------------------------------------------------------------
#
# picard is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# picard is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with picard; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#
# Contributor(s):
#   Robert Vollmert
#
#
# ***** END LICENSE BLOCK *****

import wx

from page import Page

class LoginPage(Page):

    name = N_("Login")

    def __init__(self, parent, config):
        Page.__init__(self, parent, config)

        box = wx.StaticBox(self, -1, _("Login"))
        sizer = wx.StaticBoxSizer(box, wx.VERTICAL)
        
        label_user = wx.StaticText(self, -1, _("User Name") + ":")
        self.text_user = wx.TextCtrl(self, -1, value=self.config.settingUserName)
        label_pass = wx.StaticText(self, -1, _("Password") + ":")
        self.text_pass = wx.TextCtrl(self, -1, style=wx.TE_PASSWORD, value=self.config.settingUserPassword)
        
        sizer_login = wx.FlexGridSizer(2, 2, 5, 5)
        sizer_login.Add(label_user, flag=wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL)
        sizer_login.Add(self.text_user)
        sizer_login.Add(label_pass, flag=wx.ALIGN_RIGHT|wx.ALIGN_CENTER_VERTICAL)
        sizer_login.Add(self.text_pass)

        sizer.Add(sizer_login, flag=wx.ALL, border=5)

        self.content.Add(sizer, 0, wx.EXPAND)
        self.Fit()

    def save(self):
        self.config.settingUserName = self.text_user.GetValue()
        self.config.settingUserPassword = self.text_pass.GetValue()
        
